Get session diff
Retrieve the raw unified diff for an authorized Inspect session. The endpoint is session-scoped and does not accept arbitrary diff file IDs. Pending or running sessions return the local working-tree diff when one is available; otherwise the stored authoritative session diff is returned.
Retrieve the raw unified diff for an authorized Inspect session. The endpoint is session-scoped and does not accept arbitrary diff file IDs. Pending or running sessions return the local working-tree diff when one is available; otherwise the stored authoritative session diff is returned.
bearerAuthAuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
session_id*stringThe unique identifier of the session
repository?stringRepository ID whose diff should be returned. Must be a constituent repository of the session workspace. Defaults to the first repository in workspace order.
Raw unified diff for the session
response?stringtext/plaincurl -X GET 'https://your-org.inspect.com/api/public/v1/sessions/string/diff'"string"